using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFTableParamsMap : APTEntityBaseMap<T_PF_TABLE_PARAMS>
    {
		public override void Configure(EntityTypeBuilder<T_PF_TABLE_PARAMS> builder)
		{
			base.Configure(builder);

			builder.Property(t => t.FIELD_NAME).HasMaxLength(50);
			builder.Property(t => t.VALUE).HasMaxLength(50); 
		}
		 
    }
}
